/*
	$Id $

	Copyright (C) 2013 Nicklas Nordborg
	This file is part of BASE - BioArray Software Environment.
	Available at http://base.thep.lu.se/

	BASE is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 3
	of the License, or (at your option) any later version.

	BASE is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with BASE. If not, see <http://www.gnu.org/licenses/>.
*/
package net.sf.basedb.clients.web.extensions;

/**
	Class for holding the name and value of a dynamic action attribute.
	@author nicklas
	@since 3.3
*/
public class DynamicActionAttribute 
{
	
	private final String name;
	private final String value;
	
	/**
	 	Create a new dynamic action attribute.
	*/
	public DynamicActionAttribute(String name, String value)
	{
		this.name = name;
		this.value = value;
	}
	
	/**
	 	Get the name of the dynamic attribute.
	*/
	public String getName()
	{
		return name;
	}
	
	/**
	 	Get the value of the dynamic attribute.
	*/
	public String getValue()
	{
		return value;
	}
}
